guacamole-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Robert Dinse <nan...@eskimo.com>
Subject Re: guacd startup
Date Sun, 10 Mar 2019 08:36:50 GMT

      I gave it --with-systemd but when I enable it I still get:

systemctl enable guacd
guacd.service is not a native service, redirecting to systemd-sysv-install.
Executing: /lib/systemd/systemd-sysv-install enable guacd

      And systemctl status guacd still shows:

● guacd.service - LSB: Guacamole proxy daemon
    Loaded: loaded (/etc/init.d/guacd; generated)
    Active: active (running) since Sun 2019-03-10 00:00:05 PST; 35min ago
      Docs: man:systemd-sysv-generator(8)
     Tasks: 1 (limit: 4915)
    Memory: 10.6M
    CGroup: /system.slice/guacd.service
            └─18489 /usr/local/sbin/guacd -p /var/run/guacd.pid

-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-
  Eskimo North Linux Friendly Internet Access, Shell Accounts, and Hosting.
    Knowledgeable human assistance, not telephone trees or script readers.
  See our web site: http://www.eskimo.com/ (206) 812-0051 or (800) 246-6874.

On Sun, 10 Mar 2019, Lev Dubinets wrote:

> Date: Sun, 10 Mar 2019 08:32:56 +0000
> From: Lev Dubinets <levdubinets@live.com>
> Reply-To: user@guacamole.apache.org
> To: "user@guacamole.apache.org" <user@guacamole.apache.org>
> Subject: Re: guacd startup
> 
> This looks like an init.d script, not a systemd unit. My understanding was that the --with-systemd
flag should make guacd install an actual systemd unit.
>
> ________________________________
> From: Robert Dinse <nanook@eskimo.com>
> Sent: Saturday, March 9, 2019 11:51 PM
> To: user@guacamole.apache.org
> Subject: Re: guacd startup
>
>
> #!/bin/sh
> #
> # Licensed to the Apache Software Foundation (ASF) under one
> # or more contributor license agreements.  See the NOTICE file
> # distributed with this work for additional information
> # regarding copyright ownership.  The ASF licenses this file
> # to you under the Apache License, Version 2.0 (the
> # "License"); you may not use this file except in compliance
> # with the License.  You may obtain a copy of the License at
> #
> #   https://nam01.safelinks.protection.outlook.com/?url=http%3A%2F%2Fwww.apache.org%2Flicenses%2FLICENSE-2.0&amp;data=02%7C01%7C%7C3a304263f1074fa9068508d6a52d33d7%7C84df9e7fe9f640afb435aaaaaaaaaaaa%7C1%7C0%7C636878010886914636&amp;sdata=QeKTklfBVkQIdh1f7vCIXPOirRI0sjQZL1TY4iBC%2FJc%3D&amp;reserved=0
> #
> # Unless required by applicable law or agreed to in writing,
> # software distributed under the License is distributed on an
> # "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
> # KIND, either express or implied.  See the License for the
> # specific language governing permissions and limitations
> # under the License.
> #
>
> # guacd
> #
> # chkconfig:   2345 20 80
> # description: Guacamole proxy daemon
>
> ### BEGIN INIT INFO
> # Provides:          guacd
> # Required-Start:    $network $syslog
> # Required-Stop:     $network $syslog
> # Default-Start:     2 3 4 5
> # Default-Stop:      0 1 6
> # Short-Description: Guacamole proxy daemon
> # Description: The Guacamole proxy daemon, required to translate remote desktop
> protocols into the text-based Guacamole protocol used by the JavaScript
> application.
> ### END INIT INFO
>
> prog="guacd"
> exec="/usr/local/sbin/$prog"
> pidfile="/var/run/$prog.pid"
>
> # Returns PID of currently running process, if any
> getpid() {
>
>     if [ -f "$pidfile" ]
>     then
>
>         read PID < "$pidfile"
>
>         # If pidfile contains PID and PID is valid
>         if [ -n "$PID" ] && ps "$PID" > /dev/null 2>&1
>         then
>             echo "$PID"
>             return 0
>         fi
>
>     fi
>
>     # pidfile/pid not found, or process is dead
>     return 1
>
> }
>
> start() {
>     [ -x $exec ] || exit 5
>     echo -n "Starting $prog: "
>
>     getpid > /dev/null || $exec -p "$pidfile"
>     retval=$?
>
>     case "$retval" in
>         0)
>             echo "SUCCESS"
>             ;;
>         *)
>             echo "FAIL"
>             ;;
>     esac
>
>     return $retval
> }
>
> stop() {
>     echo -n "Stopping $prog: "
>
>     PID=`getpid`
>     retval=$?
>
>     case "$retval" in
>         0)
>             if kill $PID > /dev/null 2>&1
>             then
>                 echo "SUCCESS"
>                 return 0
>             fi
>
>             echo "FAIL"
>             return 1
>             ;;
>         *)
>             echo "SUCCESS (not running)"
>             return 0
>             ;;
>     esac
>
> }
>
> restart() {
>     stop && start
> }
>
> force_reload() {
>     restart
> }
>
> status() {
>
>     PID=`getpid`
>     retval=$?
>
>     case "$retval" in
>         0)
>             echo "$prog is running with PID=$PID."
>             ;;
>         *)
>             echo "$prog is not running."
>             ;;
>     esac
>
>     return $retval
>
> }
>
> case "$1" in
>     start|stop|status|restart|force-reload)
>         $1
>         ;;
>     try-restart)
>         status && restart
>         ;;
>     *)
>         echo "Usage: $0 {start|stop|status|restart|try-restart|force-reload}"
>         exit 2
> esac
> exit $?
>
> -_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-
>  Eskimo North Linux Friendly Internet Access, Shell Accounts, and Hosting.
>    Knowledgeable human assistance, not telephone trees or script readers.
>  See our web site: https://nam01.safelinks.protection.outlook.com/?url=http%3A%2F%2Fwww.eskimo.com%2F&amp;data=02%7C01%7C%7C3a304263f1074fa9068508d6a52d33d7%7C84df9e7fe9f640afb435aaaaaaaaaaaa%7C1%7C0%7C636878010886914636&amp;sdata=%2BHCr84%2FyjB8%2BNqjYRg%2FL1f1HrUZpTf0ubw8bSgcC3Cc%3D&amp;reserved=0
(206) 812-0051 or (800) 246-6874.
>
> On Sun, 10 Mar 2019, Lev Dubinets wrote:
>
>> Date: Sun, 10 Mar 2019 07:26:29 +0000
>> From: Lev Dubinets <levdubinets@live.com>
>> Reply-To: user@guacamole.apache.org
>> To: Robert Dinse <nanook@eskimo.com>,
>>     "user@guacamole.apache.org" <user@guacamole.apache.org>
>> Subject: Re: guacd startup
>>
>> Can you paste the contents of your systemd unit file? You should be able to find
the location by using `systemctl status guacd` and it will say "Loaded: loaded (...path...)".
The contents of the file at that path would be helpful for diagnosing your issue. Also, what
Linux distro are you using?
>>
>> Lev
>>
>>
>> ________________________________
>> From: Robert Dinse <nanook@eskimo.com>
>> Sent: Saturday, March 9, 2019 11:20 PM
>> To: user@guacamole.apache.org
>> Subject: guacd startup
>>
>>
>>      I used the --with-systemd or whatever it was to generate a systemd unit.
>> If I type:
>>
>>         systemctl start guacd
>>
>>      Guacd starts.  However, even though I have typed:
>>
>>         systemctl enable guacd
>>
>>      guacd fails to start at boot-up and only starts if I manually start it
>> with the systemd start command.
>>
>> -_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-
>>  Eskimo North Linux Friendly Internet Access, Shell Accounts, and Hosting.
>>    Knowledgeable human assistance, not telephone trees or script readers.
>>  See our web site: http://www.eskimo.com/ (206) 812-0051 or (800) 246-6874.
>>
>
Mime
  • Unnamed multipart/mixed (inline, None, 0 bytes)
View raw message